id: 387d432a-9893-4558-b190-1c5e9e399dbf
schema: https://metadata.datadrivendiscovery.org/schemas/v0/pipeline.json
source:
  name: Jeffrey Gleason
created: "2019-06-05T2:48:52.806069Z"
context: TESTING
name: Dataset sample test pipeline
description: |
  A simple pipeline which runs Random Forest classifier on tabular data after sampling the dataset (50% of rows)
inputs:
  - name: input dataset
outputs:
  - name: predictions
    data: steps.6.produce
steps:
  # Step 0.
  - type: PRIMITIVE
    primitive:
      id: 268315c1-7549-4aee-a4cc-28921cba74c0
      version: 0.1.0
      python_path: d3m.primitives.data_preprocessing.dataset_sample.Common
      name: Dataset sampling primitive
    arguments:
      inputs:
        type: CONTAINER
        data: inputs.0
    outputs:
      - id: produce
  # Step 1.
  - type: PRIMITIVE
    primitive:
      id: f31f8c1f-d1c5-43e5-a4b2-2ae4a761ef2e
      version: 0.2.0
      python_path: d3m.primitives.data_transformation.denormalize.Common
      name: Denormalize datasets
    arguments:
      inputs:
        type: CONTAINER
        data: steps.0.produce
    outputs:
      - id: produce
  # Step 2.
  - type: PRIMITIVE
    primitive:
      id: 4b42ce1e-9b98-4a25-b68e-fad13311eb65
      version: 0.3.0
      python_path: d3m.primitives.data_transformation.dataset_to_dataframe.Common
      name: Extract a DataFrame from a Dataset
    arguments:
      inputs:
        type: CONTAINER
        data: steps.1.produce
    outputs:
      - id: produce
  # Step 3.
  - type: PRIMITIVE
    primitive:
      id: d510cb7a-1782-4f51-b44c-58f0236e47c7
      version: 0.6.0
      python_path: d3m.primitives.data_transformation.column_parser.Common
      name: Parses strings into their types
    arguments:
      inputs:
        type: CONTAINER
        data: steps.2.produce
    outputs:
      - id: produce
  # Step 4.
  - type: PRIMITIVE
    primitive:
      id: d016df89-de62-3c53-87ed-c06bb6a23cde
      version: 2019.6.7
      python_path: d3m.primitives.data_cleaning.imputer.SKlearn
      name: sklearn.impute.SimpleImputer
    arguments:
      inputs:
        type: CONTAINER
        data: steps.3.produce
    outputs:
      - id: produce
    hyperparams:
      use_semantic_types:
        type: VALUE
        data: true
      return_result:
        type: VALUE
        data: replace
  # Step 5.
  - type: PRIMITIVE
    primitive:
      id: 37c2b19d-bdab-4a30-ba08-6be49edcc6af
      version: 0.4.0
      python_path: d3m.primitives.classification.random_forest.Common
      name: Random forest classifier
    arguments:
      inputs:
        type: CONTAINER
        data: steps.4.produce
      outputs:
        type: CONTAINER
        data: steps.4.produce
    outputs:
      - id: produce
    hyperparams:
      return_result:
        type: VALUE
        data: replace
  # Step 6.
  - type: PRIMITIVE
    primitive:
      id: 8d38b340-f83f-4877-baaa-162f8e551736
      version: 0.3.0
      python_path: d3m.primitives.data_transformation.construct_predictions.Common
      name: Construct pipeline predictions output
    arguments:
      inputs:
        type: CONTAINER
        data: steps.5.produce
      reference:
        type: CONTAINER
        data: steps.3.produce
    outputs:
      - id: produce
